import React from 'react';

import { Geolocation } from '@awesome-cordova-plugins/geolocation';

import style from './GetLocation.module.css';
import { IonButton, IonIcon } from '@ionic/react';
import { locateOutline } from 'ionicons/icons';
import { useAtom } from 'jotai';
import { stateAtom } from '../map';

// import { locationAtom } from '../map/CurrentLocation';

const GetLocation: React.FC<{}> = () => {
  const [state, setState] = useAtom(stateAtom);

  const onClickHandler = (event: any) => {
    console.log('Click handler');
    Geolocation.getCurrentPosition().then((position) => {
      console.log({ caller: 'GetLocation/onClickHandler', position, state });
      setState({
        zoom: state.zoom,
        rotation: state.rotation,
        center: [position.coords.longitude, position.coords.latitude],
      });
    });
  };

  return (
    <IonButton
      className={style.getLocation}
      shape='round'
      size='small'
      fill='solid'
      onClick={onClickHandler}
    >
      <IonIcon slot='icon-only' icon={locateOutline} color='white' />
    </IonButton>
  );
};

export default GetLocation;
